Package com.sun.jna.platform.win32

# Class PdhUtil.PdhEnumObjectItems

java.lang.Object
com.sun.jna.platform.win32.PdhUtil.PdhEnumObjectItems

Enclosing class:
  PdhUtil

public static class PdhUtil.PdhEnumObjectItems extends Object
Holder Object for PdhEnumObjectsItems. The embedded lists are modifiable lists and can be accessed through the `getCounters()` and `getInstances()` accessors.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdhEnumObjectItems(List<String> counters, List<String> instances)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getCounters()`
  `List<String>`
  `getInstances()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PdhEnumObjectItems

    public PdhEnumObjectItems(List<String> counters, List<String> instances)

- ## Method Details

  - ### getCounters

    public List<String> getCounters()
    Returns:
      the embedded counters list, all calls to this function receive the same list and thus share modifications

  - ### getInstances

    public List<String> getInstances()
    Returns:
      the embedded instances list, all calls to this function receive the same list and thus share modifications

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`